Skip to content
scango.ch
Esc
↑↓navigate↵open⌘Jpreview

Get product by ID

Get a product by id. A soft-deleted product is returned with deleted: true.

GET/products/{productId}
Authorization
AuthorizationBearer token (API key) · headerrequired

Organization API key.

Path parameters
productIdstringrequired
Responses
200

Product details

dataProductrequired

Product. Money fields are integer cents.

Show properties
idstringrequired

Product document id

externalIdstring

Optional external identifier

namestring
priceinteger

Price in cents.

supplierstring

Supplier id

taxCategorystring

Swiss VAT category code

Allowed:8.12.63.80
categorystring

Category id

declarationsstring
barcodestring
barcodeAliasesobject[]

Optional additional EANs. Absent when unused. Empty array is not persisted. Available when the barcode aliases feature is enabled for the organization.

Show properties
Array of object
codestringrequired

Additional EAN, lowercased like barcode

quantitynumber

Base units represented by this code. Defaults to 1.

priceinteger

Optional pack price in cents

labelstring
externalIdstring

Optional external article ID

depositProductinteger

Deposit in cents.

depositProductLabelstring
descriptionstring
salePriceinteger

Sale price in cents.

salePercentagenumber
salePriceDateFromstring<date-time>
salePriceDateTostring<date-time>
costPriceinteger

Cost price in cents.

marginnumber
showOnScreenboolean
ageRestrictionboolean
showOnScaleboolean
saleStopboolean
deactivatedboolean
openInputboolean
imageUrlstring

Image URL. Set via product create/update or POST /products/{productId}/image. Empty string on update clears the field and deletes org-owned storage.

indexinteger
allowStorestring[]

Allowed store ids (read-only).

hideStorestring[]

Hidden store ids (read-only).

deletedboolean

Soft-deleted when true.

createdatestring<date-time>
lastupdatestring<date-time>
instancestring

Organization id when present

403

Missing, unknown or inactive API key, or a Read key on a write operation.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

404

No item with this id.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://dashboard.scango.ch/api/v1/products/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "a1b2c3",
    "name": "Mineral water 50cl",
    "price": 120,
    "barcode": "7610800001234",
    "taxCategory": "2.6",
    "category": "cat_01",
    "supplier": "sup_01",
    "description": "",
    "showOnScreen": true,
    "ageRestriction": false,
    "showOnScale": false,
    "saleStop": false,
    "imageUrl": ""
  }
}

Was this page helpful?